# Hugo theme : Simple-site

This is a simple, fast and privacy-friendly Hugo theme.

## Installation

To install Simple-site theme, you can simply clone the repository
to your site's theme directory.

```bash
$ mkdir themes
$ cd themes
$ git clone https://git.vulgarisons.info/raghnarok/hugo_simple-site.git simple-site
```

Don't forget to change the theme in your config.toml file.

## Configuration

### Base

```toml
baseurl = "https://yourdoma.in" # The base url of your Hugo website
title = "Title"                 # The title of your website
author = "Author"               # The author of the website
language = "fr"
theme = "simple-site"           # The Hugo theme
```

### Description

You can use some parameters to fill meta tags and bases images:

```toml
[params]
	description = "" # Description for the meta tag
	favicon = ""     # Favicon URL
	logo = ""        # Logo URL
```

### Colors

It is possible to basicaly change some colors:

```toml
[params.colors]
	main = "green"     # Color of the footer
	alt_text = "black" # Color of the text above 'main' color
```

### Custom CSS

```toml
[params]
	custom_css = ["style.css"] # Your own css files
```

### Contact footer

If you want to have some informations about you in the footer,
you can set it with thoses parameters:

```toml
[params.contact]
	email = "mail@serve.ur"    # The mail of your company
	phone = "+41 22 123 45 67" # The phone number of your company
	address = "Your address"   # The address of your company
```

### Social Networks

You can also set some of your networks accounts.
Thoses options are availables:

```toml
[params.social]
	500px = ""
	codepen = ""
	facebook = ""
	flickr = ""
	github = ""
	gitlab = ""
	instagram = ""
	linkedin = ""
	mastodon = ""
	peertube = ""
	pinterest = ""
	pixelfed = ""
	tumblr = ""
	twitter = ""
	youtube = ""
```
